Appearance
Permanently remove a comment from a work item. Records deletion activity for audit purposes.
work_item_id
The unique identifier of the work item.
resource_id
The unique identifier of the resource.
project_id
The unique identifier of the project.
workspace_slug
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
https://app.plane.so/my-team/projects/
my-team
projects.work_items.comments:write
curl -X DELETE \ "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/comments/resource-id-uuid/" \ -H "X-API-Key: $PLANE_API_KEY" \ # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
import requests response = requests.delete( "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/comments/resource-id-uuid/", headers={"X-API-Key": "your-api-key"} ) print(response.status_code)
const response = await fetch( "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/comments/resource-id-uuid/", { method: "DELETE", headers: { "X-API-Key": "your-api-key", }, } ); console.log(response.status);
No response body.
Delete a work item comment
Permanently remove a comment from a work item. Records deletion activity for audit purposes.
Path Parameters
work_item_id:requiredstringThe unique identifier of the work item.
resource_id:requiredstringThe unique identifier of the resource.
project_id:requiredstringThe unique identifier of the project.
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug ismy-team.Scopes
projects.work_items.comments:writeNo response body.